
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>entity.rules module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-entity.rules">
<span id="entity-rules-module"></span><h1>entity.rules module<a class="headerlink" href="#module-entity.rules" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="entity.rules.Rule">
<em class="property">class </em><code class="sig-prename descclassname">entity.rules.</code><code class="sig-name descname">Rule</code><span class="sig-paren">(</span><em class="sig-param">rule_name</em>, <em class="sig-param">user_input</em>, <em class="sig-param">input</em>, <em class="sig-param">output</em>, <em class="sig-param">parameters</em>, <em class="sig-param">rule_type</em>, <em class="sig-param">_output_metadata</em>, <em class="sig-param">rule_id=None</em>, <em class="sig-param">query=None</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.rules.Rule" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="entity.html#entity.Entity" title="entity.Entity"><code class="xref py py-class docutils literal notranslate"><span class="pre">entity.Entity</span></code></a></p>
<dl class="method">
<dt id="entity.rules.Rule.update">
<code class="sig-name descname">update</code><span class="sig-paren">(</span><em class="sig-param">rule_name</em>, <em class="sig-param">input</em>, <em class="sig-param">user_input</em>, <em class="sig-param">output</em>, <em class="sig-param">parameters</em>, <em class="sig-param">rule_type</em>, <em class="sig-param">_output_metadata</em>, <em class="sig-param">query=None</em>, <em class="sig-param">**kwargs</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.rules.Rule.update" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.rules.Rule.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#entity.rules.Rule.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.rules.Rule.copy">
<code class="sig-name descname">copy</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#entity.rules.Rule.copy" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="entity.rules.Rules">
<em class="property">class </em><code class="sig-prename descclassname">entity.rules.</code><code class="sig-name descname">Rules</code><a class="headerlink" href="#entity.rules.Rules" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="entity.html#entity.Entity" title="entity.Entity"><code class="xref py py-class docutils literal notranslate"><span class="pre">entity.Entity</span></code></a></p>
<dl class="method">
<dt id="entity.rules.Rules.add_rule">
<code class="sig-name descname">add_rule</code><span class="sig-paren">(</span><em class="sig-param">rule_definition: dict</em><span class="sig-paren">)</span> &#x2192; str<a class="headerlink" href="#entity.rules.Rules.add_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.rules.Rules.add_rule_by_index">
<code class="sig-name descname">add_rule_by_index</code><span class="sig-paren">(</span><em class="sig-param">rule_definition: dict</em>, <em class="sig-param">index: int</em><span class="sig-paren">)</span> &#x2192; str<a class="headerlink" href="#entity.rules.Rules.add_rule_by_index" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.rules.Rules.update_rule">
<code class="sig-name descname">update_rule</code><span class="sig-paren">(</span><em class="sig-param">rule_id: str</em>, <em class="sig-param">rule_definition: dict</em><span class="sig-paren">)</span><a class="headerlink" href="#entity.rules.Rules.update_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.rules.Rules.remove_rule">
<code class="sig-name descname">remove_rule</code><span class="sig-paren">(</span><em class="sig-param">rule_id</em><span class="sig-paren">)</span> &#x2192; None<a class="headerlink" href="#entity.rules.Rules.remove_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.rules.Rules.get_rule">
<code class="sig-name descname">get_rule</code><span class="sig-paren">(</span><em class="sig-param">rule_id</em><span class="sig-paren">)</span> &#x2192; entity.rules.Rule<a class="headerlink" href="#entity.rules.Rules.get_rule" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.rules.Rules.get_rules_after">
<code class="sig-name descname">get_rules_after</code><span class="sig-paren">(</span><em class="sig-param">rule_id</em><span class="sig-paren">)</span> &#x2192; list<a class="headerlink" href="#entity.rules.Rules.get_rules_after" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="entity.rules.Rules.serialize">
<em class="property">property </em><code class="sig-name descname">serialize</code><a class="headerlink" href="#entity.rules.Rules.serialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/entity.rules.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>